# Kubernetes Examples

Welcome to the official Kubernetes Examples repository! This curated collection,
stewarded by SIG Apps, provides high-quality, educational examples for running a
diverse range of applications and workloads on Kubernetes.

Our goal is to offer a central hub where you can:
* **Discover** practical implementations for various use cases.
* **Learn** common patterns and best practices for deploying applications on Kubernetes.
* **Explore** configurations for general-purpose applications as well as specialized
ones like AI/ML workloads and platforms.

## Browse Examples

We encourage you to explore the subdirectories to find examples relevant to your needs.
Examples are organized into categories, such as:

* [ai](ai/): Demonstrations of AI/ML model training, serving, end-to-end platform
reference manifests, and MLOps toolchains.
* ... (and more as the collection grows!)

Each example includes its own detailed `README.md` file covering:
* Purpose and learning objectives
* Prerequisites (including Kubernetes version and hardware if applicable)
* Step-by-step deployment instructions
* Verification and cleanup commands
* Key Kubernetes concepts used

## Contributing to Kubernetes Examples

We welcome contributions from the community! If you have an example that showcases
how to run applications or workloads on Kubernetes effectively and educates users,
please consider sharing it.

Before contributing, please thoroughly review our:
1. [Example Guidelines](guidelines.md): These outline the standards, structure,
   and best practices all examples must follow.
2. [CONTRIBUTING.md](CONTRIBUTING.md): This provides instructions on the contribution
   process, including how to propose, submit, and review examples.

Your contributions help make Kubernetes more accessible and understandable for everyone.

## Our Philosophy

We aim for these examples to be:
* **Educational:** Clearly explaining how and why things work.
* **Practical:** Demonstrating real-world (though possibly simplified) applications and platforms.
* **Current:** Reflecting modern Kubernetes features and best practices.
* **Maintained:** Kept up-to-date by the community and SIG Apps.